'
' Demonstrate the Glcd_Pixel macro
'
' Copy pixels from one location on the LCD to another
'
Declare Reminders = Off
Declare Warnings = Off

    Declare Optimiser_Level = 3	            ' Maximum optimisation

    $define Glcd_CS   PORTC.0               ' Connect to LCD's CS pin
    $define Glcd_RD   PORTC.1               ' Connect to LCD's RD pin
    $define Glcd_RS   PORTC.2               ' Connect to LCD's RS pin
    $define Glcd_WR   PORTA.3               ' Connect to LCD's WR pin
    $define Glcd_Data PORTB                 ' Connect to LCD's data bus

    Include "ILI9320.inc"                   ' Load the ILI9320 routines into the program

    Dim bYaxis As Byte
    Dim bXaxis As Byte
    Dim wColour As Word

'-------------------------------------------------------------------------------------------
Main:
    Glcd_Cls(clWhite)

    Glcd_SetFont(Courier_Bold_14)
    Glcd_PaperColor(clBrightRed)
    Glcd_PenColor(clBrightBlue)
    Glcd_Cursor(0,0)
    Glcd_Print("Hello World")

'
' Copy and paste the pixels
'
    For bYaxis = 0 To 19
        For bXaxis = 0 To 239
            wColour = Glcd_Pixel(bXaxis,bYaxis)
            Glcd_PenColor(wColour)
            Glcd_Plot(bXaxis, bYaxis + 40)
            DelayMS 1
        Next
    Next




